Bug 1009034 - NetworkManager: nmtui doesn't work for 802.1x
NetworkManager: nmtui doesn't work for 802.1x
Status: REOPENED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Network
Leap 15.0
Other Other
: P2 - High : Normal (vote)
: Leap 15.0
Assigned To: Jonathan Kang
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-08 10:22 UTC by Ludwig Nussel
Modified: 2019-02-18 09:05 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2016-11-08 10:22:24 UTC
nmtui doesn't work when trying to connect to an 802.1x network. Just says it failed to retrieve some security information.
Comment 1 Alexander Naumov 2018-03-15 09:33:29 UTC
The same problem in Leap 15.0 Beta.

NetworkManager doesn't accept PEM- and CRT-certificates generated by RADIUS.
The same certificates are accepted by NetworkManager on Kubuntu 17.10 and everything works well there.

> nmcli con reload
> nmcli con up NAME_OF_MY_802.1x_CONNECTION
After that it ask (again and again) for password. Correct password is set in /etc/NetworkManager/system-connectioins/NAME_OF_MY_802.1x_CONNECTION.

Using plasma applet (instead of console configuration) doesn't help.

Tested in KDE Plasma 5.12.
Comment 2 Alexander Naumov 2018-03-15 12:34:08 UTC
> # cat /etc/NetworkManager/system-connectios/LEAP_8021x 
> [connection]
> id=LEAP_8021x
> uuid=de2f2a7c-33cc-4d92-ae3b-785575dffddc
> type=ethernet
> permissions=user:alex:;
> 
> [ethernet]
> auto-negotiate=true
> mac-address-blacklist=
> 
> [802-1x]
> ca-cert=/home/alex/ca.pem
> client-cert=/home/alex/client.crt
> eap=tls;
> identity=GNOME
> private-key=/home/alex/client.pem
> private-key-password=GNOME
> 
> [ipv4]
> dns-search=
> method=auto
> 
> [ipv6]
> addr-gen-mode=stable-privacy
> dns-search=
> method=auto

> # nmcli con up LEAP_8021x 
> Secrets are required to access the wired network 'LEAP_8021x'
> Warning: password for '802-1x.identity' not given in 'passwd-file' and nmcli cannot ask without '--ask' option.
> Error: Connection activation failed: Secrets were required, but not provided
Comment 3 Jonathan Kang 2018-09-20 07:31:19 UTC
(In reply to Alexander Naumov from comment #1)
> The same problem in Leap 15.0 Beta.
> 
> NetworkManager doesn't accept PEM- and CRT-certificates generated by RADIUS.
> The same certificates are accepted by NetworkManager on Kubuntu 17.10 and
> everything works well there.
> 
> > nmcli con reload
> > nmcli con up NAME_OF_MY_802.1x_CONNECTION
> After that it ask (again and again) for password. Correct password is set in
> /etc/NetworkManager/system-connectioins/NAME_OF_MY_802.1x_CONNECTION.
> 
> Using plasma applet (instead of console configuration) doesn't help.
> 
> Tested in KDE Plasma 5.12.

It is not the same as this bug. Please feel free to file another one so that
we can discuss there and get it fixed.
Comment 4 Jonathan Kang 2018-09-20 07:38:08 UTC
(In reply to Ludwig Nussel from comment #0)
> nmtui doesn't work when trying to connect to an 802.1x network. Just says it
> failed to retrieve some security information.

Yep. nmtui doesn't have support for wpa-enterprise yet.
Comment 5 Jonathan Kang 2019-02-18 06:44:22 UTC
Closing this as RESOLVED FEATURE, as it's a feature request.

Please feel free to open a feature request in fate/jira.

Thanks.
Comment 6 Ludwig Nussel 2019-02-18 09:05:52 UTC
I wonder how it can take two years to figure that out? Not supporting a feature vs throwing a error message is a difference. So if you don't want to fix the error message close the bug as wontfix.